/* Reset some default styles */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    font-family: Arial, sans-serif;
    background-color: #E4DECD;
    max-width: 100%;
}

body .contact {
      font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
      background-color: #E4DECD;
      margin: 0;
      padding: 20px;
      display: flex;
      justify-content: center;
      align-items: center;
      min-height: 100vh;
    }


.block {
    inline-block: block;
    margin-top: 2rem;
    margin-bottom: 2rem;
}




/* Header Section */
header {
    background-color: #342A28;
    color: white;
    padding: 10px 0;
    display: flex;
    justify-content: space-between; /* Space out logo and hamburger icon */
    align-items: center;
    position: relative;
}

.alegreya-sans-sc-black-italic {
  font-family: "Alegreya Sans SC", sans-serif;
  font-weight: 900;
  font-style: italic;
}


.alegreya-sans-sc-medium {
  font-family: "Alegreya Sans SC", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.logo-container {
    display: flex;
    align-items: center;
    justify-content: center;  /* Center the content inside this container */
    flex-grow: 1;              /* Allow the logo-container to grow and center content */
}

.logo {
    width: 450px; /* Adjust the size of the logo */
    height: auto;
    margin-right: 10px;
    margin-left: 20px;  /* Adds space from the right edge */
    padding: 10px;       /* Adds space inside the icon for better clickability */
    
}

.company-name {
    font-family: alegreya-sans-sc-black-italic;
    font-size: 2.8rem;
    font-weight: bold;
    text-align: center; /* Center the text */
    flex-grow: 1;       /* Allow the company name to take up available space */

}

.intro {
    font-family: alegreya-sans-sc-black-italic;
    font-size: large;
    max-width: 70%;
    height: auto;
    padding: 3rem;
    margin: auto;

}

.explain {
    margin-top: 1rem;
}


.video_embed {
    margin: 1rem;
}


cite {
    font-weight: bold;
    text-decoration: underline;
    text-emphasis: !important;
}

hr {
    color: #FFF;
    margin-bottom: 1rem;

}


.belmal {
    justify-content: center;
    display: flex;
}

.belmal_image {
    /*scale: 50%;*/
}


.ofa_image {
    width:75px;
    height: 75px;
}





/* Center the logo and company name */
header .logo-container {
    display: flex;
    justify-content: center; /* This will center the content horizontally */
    align-items: center;     /* Vertically center the items */
    flex-grow: 1;             /* Allow this container to expand to fill space */
}

nav {
    display: flex;
    justify-content: flex-end; /* Align the hamburger icon to the right */
    align-items: center;
    flex-grow: 1;
    width: 100%;
}

.menu-icon {
    display: none;
    cursor: pointer;
    flex-direction: column;
    gap: 5px;
    margin-right: 20px;  /* Adds space from the right edge */
    padding: 10px;       /* Adds space inside the icon for better clickability */
}

.menu-icon .bar {
    width: 30px;
    height: 4px;
    background-color: white;
    border-radius: 5px;
}

/* Navigation Links */
nav ul {
    display: flex;
    list-style-type: none;
    justify-content: flex-end;
}

nav ul li {
    margin: 0 20px;
}

nav ul li a {
    color: white;
    text-decoration: none;
    font-weight: bold;
}

footer {
    background-color: #342A28;
    color: white;
    text-align: center;
    padding: 1rem;
}


/* Polaroid Section */

div.polaroid {
  max-width: 80%;
  background-color: white;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  margin: 3rem;
}

img .polaroid {
    max-width: 80%;
    height: 100vh;



}

div.container {
    display: flex;
    justify-content: center; /* This will center the content horizontally */
    align-items: center;     /* Vertically center the items */
    /*flex-grow: 0;             Allow this container to expand to fill space */
    text-align: center;
    margin: 1rem;

}





/* Hero Section */
.hero {
    background-image: url('../images/hero.jpg');
    background-size: cover;
    background-position: center;
    /*height: 100vh;*/
    color: #342A28;
    display: flex;
    justify-content: center;
    align-items: center;
    text-align: center;
    
}

.hero-content img{
    max-width: 100%;
    margin: 10px;
}

.hero-content h2 p{
    color: #342A28;
}

.hero h1 {
    font-size: 3rem;
    margin-bottom: 10px;
}

.hero p {
    font-size: 1.5rem;
    margin-bottom: 20px;
}

.hero .btn {
    background-color: #ff6200;
    color: white;
    padding: 10px 20px;
    text-decoration: none;
    font-weight: bold;
    border-radius: 5px;
}

.hero .btn:hover {
    background-color: #ff4400;
}

/* Section Styling */
section {
    padding: 1rem 0.5rem;
    text-align: center;
}

.welcome {
    font-size: xx-large;
    margin: 1rem;
    font-family: sans-serif;
    /* font-family: sans-serif; */
}

.phone_number {
    padding: 2rem;
}



/* Testimonials Page */

.test_section {
    position: relative;
    min-height: 100vh;
    width: 100%;
    /*background: #070c0d;*/
    overflow: hidden;
}

.heading {
    display: inline-block;
    position: relative;
    color: #3b7cf5;
    font-size: 4vh;
    padding: 5rem;
    width: 100%;
    text-align: center;
    font-weight: 800;
}

.heading b {
    color: #fff;

}


.hero_grid {
    display: grid;
    grid-template-columns: minmax(min-content, 3fr);

}


 
.wrapper {
    width: 100%;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;

}

.wrapper .test_container {
    position: relative;
    min-width: 50%;
    color: #fff;
    background: #222; 
    margin: 2rem 1rem;
    padding: 4rem 2rem;
    border-radius: 1rem;
    transition: 0.3s ease;
}

.wrapper .test_container .profile {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    top: -10%;
    width: 100%;
    display: block;
}

.wrapper .test_container .profile .imgBox {
    position: relative;
    height: 1rem;
    width: 2rem;
    margin: auto;
}


.wrapper .test_container .profile h2 {
    padding: 1rem;
    text-transform: capitalize;
    color: #fff;
    letter-spacing: .25rem;
    text-align: center;
}

.wrapper .test_container p {
    margin-top: 2rem;
    color: #fff;
    padding: 0 1rem;
    font-size: 2rem;
    opacity: 0.8;

}


.form-container {
      background: #fff;
      padding: 30px;
      border-radius: 10px;
      box-shadow: 0 4px 8px rgba(0,0,0,0.1);
      max-width: 400px;
      width: 100%;
    }

    h2 {
      margin-bottom: 20px;
      font-weight: 500;
      text-align: center;
      color: #333;
    }

    .form-group {
      margin-bottom: 15px;
    }

    label {
      display: block;
      margin-bottom: 6px;
      font-size: 14px;
      color: #555;
    }

    input, textarea {
      width: 100%;
      padding: 10px 12px;
      border: 1px solid #ccc;
      border-radius: 6px;
      font-size: 14px;
      transition: border-color 0.3s;
    }

    input:focus, textarea:focus {
      border-color: #007BFF;
      outline: none;
    }

    button {
      width: 100%;
      padding: 12px;
      border: none;
      border-radius: 6px;
      background-color: #007BFF;
      color: white;
      font-size: 16px;
      cursor: pointer;
      transition: background 0.3s;
    }

    button:hover {
      background-color: #0056b3;
    }









/* Media Queries for Responsiveness */
@media (max-width: 1025px) {
    .logo {
        width: 350px;
    }

    .company-name {
        font-size: 1.5rem;
    }

    header {
        flex-direction: column;
        align-items: center; /* Center the header content vertically */
    }

    nav ul {
        display: none; /* Hide the nav links by default */
        flex-direction: column;
        align-items: flex-start;
        margin-top: 10px;
        width: 100%;
    }

    nav ul li {
        margin: 10px 0;
    }

    /* Show the menu icon */
    .menu-icon {
        display: flex;
        margin-left: auto; /* Move the hamburger icon to the right */
        margin-right: 20px;  /* Adjust the margin for the hamburger icon */
        padding: 10px;       /* Adds space around the hamburger icon */
    }

    /* Show the nav links when the "active" class is added */
    nav ul.active {
        display: flex;
    }

    .hero h1 {
        font-size: 2.5rem;
    }

    .hero p {
        font-size: 1.2rem;
    }

    .form-container {
        padding: 2rem;
      }
}

@media (max-width: 480px) {

    .logo {
        width: 350px;
    }

    .company-name {
        font-size: 1.2rem;
    }

    .hero h1 {
        font-size: 2rem;
    }

    .hero p {
        font-size: 1rem;
    }

    .hero .btn {
        padding: 10px 15px;
    }

      .form-container {
        padding: 1rem;
      }

      div.polaroid {
  max-width: 80%;
  background-color: white;
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2), 0 6px 20px 0 rgba(0, 0, 0, 0.19);
  margin: 3rem;
}

img .polaroid {
    max-width: 80%;
    height: 100vh;

}

.container div {
    width: 80%;
    height: 100vh;
}


}